<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class TransportPayment extends Model
{
    use HasFactory;

    protected $table = 'transport_payments';


    public function user(){
        return $this->belongsTo('App\Models\User','user_id', 'id');

    }

    public function transport_n_pay(){
        return $this->belongsTo('App\Models\Transport', 'transport_id', 'id');

    }
    
    public function transport_route(){
        return $this->belongsTo('App\Models\TransportRoute', 'transport_route_id', 'id');

    }
}
